﻿using SqlSugar;
using XF.Domain.Repository;

namespace DataSharing.Province
{
    /// <summary>
    /// 附件
    /// </summary>
    public class DsGetCaseMaterialInfo : CreationModificationEntity
    {
        /// <summary>
        /// 服务工单编号  
        /// </summary>
        [SugarColumn(ColumnDescription = "服务工单编号", ColumnDataType = "varchar(50)")]
        public string CaseSerial { get; set; }

        /// <summary>
        /// 材料类型
        /// </summary>
        [SugarColumn(ColumnDescription = "材料类型", ColumnDataType = "varchar(50)")]
        public string MaterialType { get; set; }

        /// <summary>
        /// 材料标识
        /// </summary>
        [SugarColumn(ColumnDescription = "材料标识", ColumnDataType = "varchar(50)")]
        public string CliengGuid { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [SugarColumn(ColumnDescription = "行政区划代码", ColumnDataType = "varchar(24)")]
        public string AreaCode { get; set; }

        /// <summary>
        /// 附件名称
        /// </summary>
        [SugarColumn(ColumnDescription = "附件名称", ColumnDataType = "varchar(100)")]
        public string? FileName { get; set; }

        /// <summary>
		/// 附件KEY
		/// </summary>
		[SugarColumn(ColumnDescription = "附件Key")]
        public string? Key { get; set; }

        /// <summary>
        /// 附件类型
        /// </summary>
        [SugarColumn(ColumnDescription = "附件类型")]
        public string? Type { get; set; }

        /// <summary>
		/// 附件Id
		/// </summary>
		[SugarColumn(ColumnDescription = "附件Id")]
        public string? Additions { get; set; }

        /// <summary>
		/// 附件路径
		/// </summary>
		[SugarColumn(ColumnDescription = "附件路径")]
        public string? Path { get; set; }

        /// <summary>
        /// 同步方向 1：市州数据向省上推送；	2：省上数据向市州推送；
        /// </summary>       
        [SugarColumn(ColumnDescription = "同步方向 1：市州数据向省上推送；2：省上数据向市州推送", ColumnDataType = "varchar(2)")]
        public string Direction { get; set; }

        /// <summary>
        /// 同步状态 0：待同步；	  1：同步成功；	 2：同步失败；
        /// </summary>
        [SugarColumn(ColumnDescription = "同步状态", ColumnDataType = "varchar(1)", IsNullable = true)]
        public string SyncState { get; set; } = "1";
    }
}
