﻿namespace DataSharing
{
    /// <summary>
    /// 市州系统配置
    /// </summary>
    public class SharingConfiguration
    {
        /// <summary>
        /// 系统市州编码
        /// </summary>
        public string CityCode { get; set; }

        /// <summary>
        /// 系统市州名称
        /// </summary>
        public string CityName { get; set; }

        /// <summary>
        /// 热线名称
        /// </summary>
        public string HotlineName { get; set; }

        /// <summary>
        /// 省12345平台部门Code
        /// </summary>
        public string ProvinceOrgCode { get; set; }

        /// <summary>
        /// 省12345交办部门Code
        /// </summary>
        public string ProvinceAssignmentOrgCode { get; set; }

        /// <summary>
        /// 110部门Code
        /// </summary>
        public string PoliceOrgCode { get; set; }

        /// <summary>
        /// 市州宜宾
        /// </summary>
        public CityYiBinConfig CityYiBin { get; set; }

        /// <summary>
        /// 市州自贡
        /// </summary>
        public CityZiGongConfig CityZiGong { get; set; }

        /// <summary>
        /// 泸州
        /// </summary>
        public CityLuZhouConfig CityLuZhou { get; set; }
    }

    /// <summary>
    /// 宜宾
    /// </summary>
    public class CityYiBinConfig
    {
        /// <summary>
        /// 企业服务
        /// </summary>
        public ConfigurationEnterprise Enterprise { get; set; }

        /// <summary>
        /// 查询历史数据
        /// </summary>
        public ConfigurationIYB IYB { get; set; }

        /// <summary>
        /// 市州数据交换
        /// </summary>
        public ConfigurationCityHandOver CityHandOver { get; set; }

        /// <summary>
        /// 道枢110----德阳（新）、宜宾、阿坝、广元
        /// </summary>
        public ConfigurationPoliceDS PoliceDS { get; set; }

        /// <summary>
        /// 新老数据交换
        /// </summary>
        public ConfigurationSendDataOld SendDataOld { get; set; }

        /// <summary>
        /// 应急管理局
        /// </summary>
        public YingJiGuanLiJuConfiguration YingJiGuanLiJu { get; set; }
    }

    /// <summary>
    /// 自贡
    /// </summary>
    public class CityZiGongConfig
    {
        /// <summary>
        /// 大成均图110-----自贡、雅安
        /// </summary>
        public ConfigurationPoliceDCJT PoliceDCJT { get; set; }

        /// <summary>
        /// 市州数据交换
        /// </summary>
        public ConfigurationCityHandOver CityHandOver { get; set; }

        /// <summary>
        /// 新老数据交换
        /// </summary>
        public ConfigurationSendDataOld SendDataOld { get; set; }
    }

    /// <summary>
    /// 泸州
    /// </summary>
    public class CityLuZhouConfig
    {
        ///// <summary>
        ///// 大成均图110-----自贡、雅安
        ///// </summary>
        //public ConfigurationPoliceDCJT PoliceDCJT { get; set; }

        /// <summary>
        /// 市州数据交换
        /// </summary>
        public ConfigurationCityHandOver CityHandOver { get; set; }

        /// <summary>
        /// 新老数据交换
        /// </summary>
        public ConfigurationSendDataOld SendDataOld { get; set; }
    }
}
